package ru.yandex.wmtools.common.data.xmlsearch;

import org.jdom.Document;
import ru.yandex.wmtools.common.error.InternalException;

/**
 * Created by IntelliJ IDEA.
* User: senin
* Date: 01.12.2007
* Time: 15:06:36
*/
public interface XmlSearchRequest {
    String getUrlParams() throws InternalException;
    Document getDocument() throws InternalException;
    long getQueryHashCode() throws InternalException;
}
